Support localized decimal separator for hours in the web UI

2016-01-08 13:05 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

We have localised decimal separators for times in CSV exports #1372, this isn't used for times in the web UI though.

Related issues:

Related to Redmine - Feature #22024: Support localized decimal separators for... Closed

Associated revisions

Revision 22593 - 2024-01-04 08:01 - Go MAEDA

Support localized decimal separators for hours in the web UI (#21677).

Patch by Go MAEDA (@maeda).

History

#1 - 2016-01-08 13:08 - Felix Schäfer

- File 21677-localised_decimals_in_web.patch added

The attached patch will change all hours in the web UI to use the localised decimal separator.

I first wanted some feedback so I haven't taken care of adapting the tests for now.

Should this be interesting for core Redmine, we should also discuss if Floats should also use the localised decimal separator or not.

#2 - 2016-02-06 04:27 - Toshi MARUYAMA

I don't have any thought because Japanese decimal separator is ".".

#3 - 2016-02-13 03:40 - Toshi MARUYAMA

- Related to Feature #22024: Support localized decimal separators for float values added

#4 - 2016-02-13 03:40 - Toshi MARUYAMA

- Category changed from UI to I18n

#5 - 2024-01-04 08:08 - Go MAEDA

- Subject changed from Use localised decimal separator for hours in the web UI to Support localized decimal separator for hours in the web UI

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 6.0.0

- Resolution set to Fixed

Implemented the feature in r22593.

Files

21677-localised_decimals_in_web.patch 5.33 KB 2016-01-08 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/1372
https://www.redmine.org/projects/redmine/repository/svn/revisions/22593
http://www.tcpdf.org

